org.cpsolver.studentsct.report

## Enum SectionConflictTable.Type

- java.lang.Object
- - java.lang.Enum<SectionConflictTable.Type>
  - - org.cpsolver.studentsct.report.SectionConflictTable.Type

- All Implemented Interfaces:
    Serializable, Comparable<SectionConflictTable.Type>
  Enclosing class:
    SectionConflictTable

      public static enum SectionConflictTable.Type
      extends Enum<SectionConflictTable.Type>

  Report type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OVERLAPS` Time conflicts
    `OVERLAPS_AND_UNAVAILABILITIES` Both time and availability conflicts
    `UNAVAILABILITIES` Availability conflicts

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasOverlaps()` Has time conflicts
    `boolean` | `hasUnavailabilities()` Has availability conflicts
    `static SectionConflictTable.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SectionConflictTable.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OVERLAPS

          public static final SectionConflictTable.Type OVERLAPS

      Time conflicts

    - #### UNAVAILABILITIES

          public static final SectionConflictTable.Type UNAVAILABILITIES

      Availability conflicts

    - #### OVERLAPS_AND_UNAVAILABILITIES

          public static final SectionConflictTable.Type OVERLAPS_AND_UNAVAILABILITIES

      Both time and availability conflicts

  - ### Method Detail

    - #### values

          public static SectionConflictTable.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SectionConflictTable.Type c : SectionConflictTable.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SectionConflictTable.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### hasOverlaps

          public boolean hasOverlaps()

      Has time conflicts
      Returns:
        include time conflicts

    - #### hasUnavailabilities

          public boolean hasUnavailabilities()

      Has availability conflicts
      Returns:
        include unavailabilities